<?php

class m120927_143321_tbl_productos extends CDbMigration
{
	public function safeUp() {
            $this->createTable('tbl_productos', array(
                'id' => 'pk',
                'titulo' => 'string',                
                'n_agentes' => 'integer',
                'n_publicaciones' => 'integer',                
                
            ));  
             
            $this->createTable('tbl_subscripciones', array(
                'id' => 'pk',
                'id_usuario' => 'integer NOT NULL',
                'id_producto' => 'integer NOT NULL',                
                'estado' => 'string',
                'fecha_inicio' => 'datetime',
                'fecha_fin' => 'datetime',
            ));  
            
            $this->addForeignKey('fk_subscripciones_1', 'tbl_subscripciones', 'id_usuario', 'tbl_usuarios', 'id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('fk_subscripciones_2', 'tbl_subscripciones', 'id_producto', 'tbl_productos', 'id', 'CASCADE', 'CASCADE');
	}

	public function safeDown()
	{
            $this->dropForeignKey('fk_subscripciones_2', 'tbl_subscripciones');
            $this->dropForeignKey('fk_subscripciones_1', 'tbl_subscripciones');
            
            $this->dropTable('tbl_subscripciones');
            $this->dropTable('tbl_productos');            
	}
}